package com.bytesw.bytebot.service;


import com.bytesw.bytebot.bean.DeploymentChannelParamValueBean;
import com.bytesw.bytebot.model.Agent;
import com.bytesw.bytebot.model.DeploymentChannelParamValue;
import com.bytesw.bytebot.service.AgentService;
import lombok.extern.log4j.Log4j2;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.ApplicationArguments;
import org.springframework.boot.ApplicationRunner;
import org.springframework.stereotype.Component;
import com.bytesw.bytebot.repository.AgentRepository;
import com.bytesw.bytebot.model.enums.AgentStatusEnum;

import javax.transaction.Transactional;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Log4j2
@Component
@Transactional
public class ProviderStartupService  implements ApplicationRunner {

     @Autowired
     private AgentService agentService;

    @Autowired
    private AgentRepository agentRepository;

    public static List<DeploymentChannelParamValueBean> agents = new ArrayList<>();

    @Override
    public void run(ApplicationArguments args) throws Exception{
        log.debug("Iinitial agents");
        List<DeploymentChannelParamValueBean> agentsBD;
        agents = agentService.GetKeysFromAgents(AgentStatusEnum.DEPLOYED);
        log.debug(agents);
    }

}
